xine-lib: demux_real_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
demux_real_t Struct Reference

## Data Fields
demux_plugin_t | demux_plugin
xine_stream_t * | stream
fifo_buffer_t * | video_fifo
fifo_buffer_t * | audio_fifo
input_plugin_t * | input
input_plugin_t * | in1
input_plugin_t * | in2
off_t | startpos1
off_t | startpos2
uint32_t | pos1
uint32_t | endpos1
uint32_t | pos2
uint32_t | endpos2
uint32_t | lasttime1
uint32_t | lasttime2
off_t | index_start
off_t | data_start
off_t | data_size
unsigned int | duration
unsigned int | current_data_chunk_packet_count
unsigned int | next_data_chunk_offset
unsigned int | data_chunk_size
int | num_audio_streams
int | num_video_streams
real_stream_t | audio_streams [8]
real_stream_t | video_streams [10]
real_stream_t * | audio_stream
real_stream_t * | video_stream
int | audio_id
int | video_id
int | audio_need_keyframe
uint32_t * | fragment_tab
int | fragment_tab_max
int | fragment_size
int | fragment_count
int | old_seqnum
buf_element_t * | vbuf
uint32_t | vtime
uint32_t | vkeyframe
off_t | avg_bitrate
int64_t | last_pts [2]
int | send_newpts
int | reference_mode
int | status

## Field Documentation

## ◆ audio_fifo

fifo_buffer_t* demux_real_t::audio_fifo

## ◆ audio_id

int demux_real_t::audio_id

## ◆ audio_need_keyframe

int demux_real_t::audio_need_keyframe

## ◆ audio_stream

real_stream_t* demux_real_t::audio_stream

## ◆ audio_streams

real_stream_t demux_real_t::audio_streams[8]

## ◆ avg_bitrate

off_t demux_real_t::avg_bitrate

## ◆ current_data_chunk_packet_count

unsigned int demux_real_t::current_data_chunk_packet_count

## ◆ data_chunk_size

unsigned int demux_real_t::data_chunk_size

## ◆ data_size

off_t demux_real_t::data_size

## ◆ data_start

off_t demux_real_t::data_start

## ◆ demux_plugin

demux_plugin_t demux_real_t::demux_plugin

## ◆ duration

unsigned int demux_real_t::duration

## ◆ endpos1

uint32_t demux_real_t::endpos1

## ◆ endpos2

uint32_t demux_real_t::endpos2

## ◆ fragment_count

int demux_real_t::fragment_count

## ◆ fragment_size

int demux_real_t::fragment_size

## ◆ fragment_tab

uint32_t* demux_real_t::fragment_tab

## ◆ fragment_tab_max

int demux_real_t::fragment_tab_max

## ◆ in1

input_plugin_t * demux_real_t::in1

## ◆ in2

input_plugin_t * demux_real_t::in2

## ◆ index_start

off_t demux_real_t::index_start

## ◆ input

input_plugin_t* demux_real_t::input

## ◆ last_pts

int64_t demux_real_t::last_pts[2]

## ◆ lasttime1

uint32_t demux_real_t::lasttime1

## ◆ lasttime2

uint32_t demux_real_t::lasttime2

## ◆ next_data_chunk_offset

unsigned int demux_real_t::next_data_chunk_offset

## ◆ num_audio_streams

int demux_real_t::num_audio_streams

## ◆ num_video_streams

int demux_real_t::num_video_streams

## ◆ old_seqnum

int demux_real_t::old_seqnum

## ◆ pos1

uint32_t demux_real_t::pos1

## ◆ pos2

uint32_t demux_real_t::pos2

## ◆ reference_mode

int demux_real_t::reference_mode

## ◆ send_newpts

int demux_real_t::send_newpts

## ◆ startpos1

off_t demux_real_t::startpos1

## ◆ startpos2

off_t demux_real_t::startpos2

## ◆ status

int demux_real_t::status

## ◆ stream

xine_stream_t* demux_real_t::stream

## ◆ vbuf

buf_element_t* demux_real_t::vbuf

## ◆ video_fifo

fifo_buffer_t* demux_real_t::video_fifo

## ◆ video_id

int demux_real_t::video_id

## ◆ video_stream

real_stream_t* demux_real_t::video_stream

## ◆ video_streams

real_stream_t demux_real_t::video_streams[10]

## ◆ vkeyframe

uint32_t demux_real_t::vkeyframe

## ◆ vtime

uint32_t demux_real_t::vtime

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/demuxers/demux_real.c